Bug 466300 - Wacom tablet not recognized by X when hotplugged
Wacom tablet not recognized by X when hotplugged
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: linuxwacom (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aristeu Rozanski
Fedora Extras Quality Assurance
: Triaged
Depends On: 464826
Blocks: F10Target
  Show dependency treegraph
 
Reported: 2008-10-09 12:38 EDT by Will Woods
Modified: 2009-12-18 01:32 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:32:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lshal.txt (131.29 KB, text/plain)
2008-10-09 12:38 EDT, Will Woods
no flags Details

  None (edit)
Description Will Woods 2008-10-09 12:38:22 EDT
Created attachment 319878 [details]
lshal.txt

Running current rawhide, I plugged in a (supported) Wacom tablet (Intuos2 6x8). It doesn't get initialized in X. The following messages appear in Xorg.0.log:

(II) config/hal: Adding input device Wacom Intuos2 6x8
(II) LoadModule: "wacom"

(II) Loading /usr/lib/xorg/modules/input//wacom_drv.so
(II) Module wacom: vendor="X.Org Foundation"
        compiled for 4.3.99.902, module version = 1.0.0
        Module class: X.Org XInput Driver
        ABI class: X.Org XInput driver, version 2.1
(II) Wacom driver level: 47-0.8.0-2 $
(EE) Wacom Intuos2 6x8: No type or invalid type specified.
Must be one of stylus, touch, cursor, eraser, or pad
(EE) PreInit returned NULL for "Wacom Intuos2 6x8"
(EE) config/hal: NewInputDeviceRequest failed

The HAL entry for this device has "touchpad" in its capabilities, not "touch" or "pad" as suggested by the Xorg log:

udi = '/org/freedesktop/Hal/devices/usb_device_56a_42_noserial_if0_logicaldev_input'
  info.capabilities = {'input', 'input.touchpad'} (string list)
  info.category = 'input'  (string)
  info.parent = '/org/freedesktop/Hal/devices/usb_device_56a_42_noserial_if0'  (string)
  info.product = 'Wacom Intuos2 6x8'  (string)
  info.subsystem = 'input'  (string)
  info.udi = '/org/freedesktop/Hal/devices/usb_device_56a_42_noserial_if0_logicaldev_input'  (string)
  input.device = '/dev/input/event7'  (string)
  input.originating_device = '/org/freedesktop/Hal/devices/usb_device_56a_42_noserial_if0'  (string)
  input.product = 'Wacom Intuos2 6x8'  (string)
  input.x11_driver = 'wacom'  (string)
  linux.device_file = '/dev/input/event7'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'input'  (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.7/usb1/1-6/1-6.4/1-6.4:1.0/input/input7/event7'  (string)

Full lshal output is attached.
Comment 1 Aristeu Rozanski 2008-10-09 12:56:03 EDT
known issue, I'm working at it.
Comment 2 Will Woods 2008-10-09 13:36:27 EDT
For the record - I added a line to /usr/share/hal/fdi/policy/20thirdparty/10-linuxwacom.fdi:

<merge key="input.x11_options.Type" type="string">stylus</merge>


This made X *seem* to set up the device on hotplug:

(II) config/hal: Adding input device Wacom Intuos2 6x8
(**) Wacom Intuos2 6x8: always reports core events
(**) Wacom Intuos2 6x8 device is /dev/input/event7
(**) Wacom Intuos2 6x8 is in absolute mode
(**) WACOM: suppress value is 2
(**) Option "BaudRate" "9600"
(**) Wacom Intuos2 6x8: serial speed 9600
(II) XINPUT: Adding extended input device "Wacom Intuos2 6x8" (type: Wacom Stylu
s)
(**) Option "Device" "/dev/input/event7"
Wacom Intuos2 6x8 Wacom X driver grabbed event device
(==) Wacom using pressure threshold of 61 for button 1
(==) Wacom USB Intuos2 tablet speed=9600 (38400) maxX=20320 maxY=16240 maxZ=1023
 resX=2540 resY=2540  tilt=enabled
(==) Wacom device "Wacom Intuos2 6x8" top X=0 top Y=0 bottom X=20320 bottom Y=16
240 resol X=2540 resol Y=2540


Except the tablet still didn't move the pointer or anything. Unplugging the tablet then caused X to crash: 

Error reading wacom device : No such device
(II) config/hal: removing device Wacom Intuos2 6x8

Backtrace:
0: /usr/bin/Xorg(xf86SigHandler+0x79) [0x80bc5d9]
1: [0x110400]
2: /usr/lib/xorg/modules/input//wacom_drv.so [0x6184dc]
3: /usr/lib/xorg/modules/input//wacom_drv.so [0x621e2c]
4: /usr/bin/Xorg(DeleteInputDeviceRequest+0x54) [0x80d3df4]
5: /usr/bin/Xorg [0x80a0cb6]
6: /usr/bin/Xorg [0x80a0d4c]
7: /usr/lib/libhal.so.1 [0x11d479]
8: /lib/libdbus-1.so.3(dbus_connection_dispatch+0x395) [0x131165]
9: /lib/libdbus-1.so.3 [0x1315b7]
10: /usr/bin/Xorg [0x80a090b]
11: /usr/bin/Xorg(WakeupHandler+0x52) [0x8089c52]
12: /usr/bin/Xorg(WaitForSomething+0x1a3) [0x8128793]
13: /usr/bin/Xorg(Dispatch+0x7e) [0x8085bfe]
14: /usr/bin/Xorg(main+0x47d) [0x806b6cd]
15: /lib/libc.so.6(__libc_start_main+0xe5) [0x9716e5]
16: /usr/bin/Xorg [0x806aab1]

Fatal server error:
Caught signal 11.  Server aborting


Let me know if there's anything I can do to help test in the future.
Comment 3 Bug Zapper 2008-11-25 22:42:41 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-11-18 03:32:42 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-12-18 01:32:25 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.